Page MenuHomePhabricator

MinervaNeue Selenium tests fail when targeting MediaWiki-Docker
Closed, ResolvedPublic

Description

npm run selenium-test

> @ selenium-test /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue
> wdio tests/selenium/wdio.conf.js

------------------------------------------------------------------
[chrome #0-0] Session ID: e69b10750c6d48433e8659989a82c2c8
[chrome #0-0] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/category.js
[chrome #0-0] Running: chrome
[chrome #0-0]
[chrome #0-0] Categories
[chrome #0-0]   !! I can view categories
[chrome #0-0]
[chrome #0-0]
[chrome #0-0] 1 pending (1s)
[chrome #0-0]

------------------------------------------------------------------
[chrome #0-1] Session ID: 45db517f5e24fcfb5baed6c28cd5455c
[chrome #0-1] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/diff.js
[chrome #0-1] Running: chrome
[chrome #0-1]
[chrome #0-1] Page diff
[chrome #0-1]   !! Added and removed content
[chrome #0-1]
[chrome #0-1]
[chrome #0-1] 1 pending (1s)
[chrome #0-1]

[18:12:51]  	Saved screenshot: ERROR_chrome_2020-04-30T16-12-51.396Z.png

	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Wikitext-Editor-Closing-editor-(overlay-button).png 

------------------------------------------------------------------
[chrome #0-2] Session ID: 7878f48b17b50731620e5e631e354542
[chrome #0-2] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/editor_wikitext_nosave.js
[chrome #0-2] Running: chrome
[chrome #0-2]
[chrome #0-2] Wikitext Editor
[chrome #0-2]   1) "before each" hook for "Closing editor (overlay button)"
[chrome #0-2]
[chrome #0-2]
[chrome #0-2] 1 failing (50s)
[chrome #0-2]
[chrome #0-2] 1) Wikitext Editor "before each" hook for "Closing editor (overlay button)":
[chrome #0-2] element (".overlay") still not visible after 10000ms
[chrome #0-2] Error: element (".overlay") still not visible after 10000ms
[chrome #0-2]     at elements(".overlay") - isVisible.js:54:17
[chrome #0-2]     at isVisible(".overlay") - waitForVisible.js:73:22
[chrome #0-2]

[18:13:24] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[18:13:47]  	Saved screenshot: ERROR_chrome_2020-04-30T16-13-47.574Z.png

	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Wikitext-Editor-(Makes-actual-saves)-Redirects.png 

[18:14:17]  	Saved screenshot: ERROR_chrome_2020-04-30T16-14-17.405Z.png

	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Wikitext-Editor-(Makes-actual-saves)-Broken-redirects.png 

------------------------------------------------------------------
[chrome #0-3] Session ID: 23245c116d15c977b2d4e24a5126b6df
[chrome #0-3] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/editor_wikitext_saving.js
[chrome #0-3] Running: chrome
[chrome #0-3]
[chrome #0-3] Wikitext Editor (Makes actual saves)
[chrome #0-3]   1) Redirects
[chrome #0-3]   2) Broken redirects
[chrome #0-3]
[chrome #0-3]
[chrome #0-3] 2 failing (1m, 25s)
[chrome #0-3]
[chrome #0-3] 1) Wikitext Editor (Makes actual saves) Redirects:
[chrome #0-3] element (".overlay") still not visible after 10000ms
[chrome #0-3] Error: element (".overlay") still not visible after 10000ms
[chrome #0-3]     at elements(".overlay") - isVisible.js:54:17
[chrome #0-3]     at isVisible(".overlay") - waitForVisible.js:73:22
[chrome #0-3]
[chrome #0-3] 2) Wikitext Editor (Makes actual saves) Broken redirects:
[chrome #0-3] element (".overlay") still not visible after 10000ms
[chrome #0-3] Error: element (".overlay") still not visible after 10000ms
[chrome #0-3]     at elements(".overlay") - isVisible.js:54:17
[chrome #0-3]     at isVisible(".overlay") - waitForVisible.js:73:22
[chrome #0-3]


	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Menus-open-correct-page-for-anonymous-users-Check-links-in-menu.png 

------------------------------------------------------------------
[chrome #0-4] Session ID: 153c1fd7c8c54390e5b0bdfd9066039a
[chrome #0-4] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/mainmenu_loggedin.js
[chrome #0-4] Running: chrome
[chrome #0-4]
[chrome #0-4] Menus open correct page for anonymous users
[chrome #0-4]   1) Check links in menu
[chrome #0-4]
[chrome #0-4]
[chrome #0-4] 1 failing (31s)
[chrome #0-4]
[chrome #0-4] 1) Menus open correct page for anonymous users Check links in menu:
[chrome #0-4] Link to Settings is visible.
[chrome #0-4] AssertionError [ERR_ASSERTION]: Link to Settings is visible.
[chrome #0-4]     at iShouldSeeALinkInMenu (/Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/features/step_definitions/menu_steps.js:21:9)
[chrome #0-4]     at forEach (/Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/mainmenu_loggedin.js:26:4)
[chrome #0-4]     at Array.forEach (<anonymous>)
[chrome #0-4]     at Context.it (/Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/mainmenu_loggedin.js:25:18)
[chrome #0-4]     at new Promise (<anonymous>)
[chrome #0-4]     at new F (/Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/node_modules/babel-runtime/node_modules/core-js/library/modules/_export.js:36:28)
[chrome #0-4]

[18:14:55] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[18:15:15]  	Saved screenshot: ERROR_chrome_2020-04-30T16-15-15.242Z.png

	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Opening-and-closing-the-reference-drawer-Opening-a-reference.png 

[18:15:17]  	Saved screenshot: ERROR_chrome_2020-04-30T16-15-17.187Z.png

	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Opening-and-closing-the-reference-drawer-Opening-a-nested-reference.png 

------------------------------------------------------------------
[chrome #0-5] Session ID: 905308c8e4cd9874a3506af404aace17
[chrome #0-5] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/references.js
[chrome #0-5] Running: chrome
[chrome #0-5]
[chrome #0-5] Opening and closing the reference drawer
[chrome #0-5]   1) Opening a reference
[chrome #0-5]   2) Opening a nested reference
[chrome #0-5]
[chrome #0-5]
[chrome #0-5] 2 failing (27s)
[chrome #0-5]
[chrome #0-5] 1) Opening and closing the reference drawer Opening a reference:
[chrome #0-5] An element could not be located on the page using the given search parameters ("sup a").
[chrome #0-5] Error: An element could not be located on the page using the given search parameters ("sup a").
[chrome #0-5]     at click() - index.js:312:3
[chrome #0-5]
[chrome #0-5] 2) Opening and closing the reference drawer Opening a nested reference:
[chrome #0-5] An element could not be located on the page using the given search parameters ("sup a").
[chrome #0-5] Error: An element could not be located on the page using the given search parameters ("sup a").
[chrome #0-5]     at click() - index.js:312:3
[chrome #0-5]

[18:15:34] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[18:16:01]  	Saved screenshot: ERROR_chrome_2020-04-30T16-16-01.441Z.png

	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Search-Clicking-on-a-watchstar-toggles-the-watchstar.png 

------------------------------------------------------------------
[chrome #0-6] Session ID: 0a307fb69b6eed882454c4173f58ae7b
[chrome #0-6] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/search_loggedin.js
[chrome #0-6] Running: chrome
[chrome #0-6]
[chrome #0-6] Search
[chrome #0-6]   1) Clicking on a watchstar toggles the watchstar
[chrome #0-6]
[chrome #0-6]
[chrome #0-6] 1 failing (43s)
[chrome #0-6]
[chrome #0-6] 1) Search Clicking on a watchstar toggles the watchstar:
[chrome #0-6] element (".overlay") still not visible after 10000ms
[chrome #0-6] Error: element (".overlay") still not visible after 10000ms
[chrome #0-6]     at elements(".overlay") - isVisible.js:54:17
[chrome #0-6]     at isVisible(".overlay") - waitForVisible.js:73:22
[chrome #0-6]

[18:16:05] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[18:16:08] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[18:17:12]  	Saved screenshot: ERROR_chrome_2020-04-30T16-17-12.577Z.png

	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Talk-Add-discussion-for-talk-page-possible-as-logged-in-user.png 

[18:17:21] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[18:17:37]  	Saved screenshot: ERROR_chrome_2020-04-30T16-17-37.526Z.png

	Screenshot location: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/log/Talk-A-newly-created-topic-appears-in-the-list-of-topics.png 

------------------------------------------------------------------
[chrome #0-7] Session ID: f5c327a97d3eb3eb555bff76874d11a0
[chrome #0-7] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/talk.js
[chrome #0-7] Running: chrome
[chrome #0-7]
[chrome #0-7] Talk
[chrome #0-7]   โœ“ Talk button not visible as logged out user
[chrome #0-7]   โœ“ Talk tab visible as logged in user
[chrome #0-7]   โœ“ Talk on a page that doesn't exist (bug 64268)
[chrome #0-7]   โœ“ Add discussion button shows on talk pages for logged in users
[chrome #0-7]   1) Add discussion for talk page possible as logged in user
[chrome #0-7]   2) A newly created topic appears in the list of topics
[chrome #0-7]
[chrome #0-7]
[chrome #0-7] 4 passing (1m, 36s)
[chrome #0-7] 2 failing
[chrome #0-7]
[chrome #0-7] 1) Talk Add discussion for talk page possible as logged in user:
[chrome #0-7] element (".overlay .submit") still not existing after 10000ms
[chrome #0-7] Error: element (".overlay .submit") still not existing after 10000ms
[chrome #0-7]     at elements(".overlay .submit") - isExisting.js:46:17
[chrome #0-7]     at isExisting(".overlay .submit") - waitForExist.js:67:22
[chrome #0-7]
[chrome #0-7] 2) Talk A newly created topic appears in the list of topics:
[chrome #0-7] element (".overlay") still not visible after 10000ms
[chrome #0-7] Error: element (".overlay") still not visible after 10000ms
[chrome #0-7]     at elements(".overlay") - isVisible.js:54:17
[chrome #0-7]     at isVisible(".overlay") - waitForVisible.js:73:22
[chrome #0-7]

------------------------------------------------------------------
[chrome #0-8] Session ID: 9d0365b534052406927f9630b2491924
[chrome #0-8] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/user_page.js
[chrome #0-8] Running: chrome
[chrome #0-8]
[chrome #0-8] User:<username>
[chrome #0-8]   โœ“ Check components in user page
[chrome #0-8]
[chrome #0-8]
[chrome #0-8] 1 passing (13s)
[chrome #0-8]

------------------------------------------------------------------
[chrome #0-9] Session ID: 5b29e0e8cfcbb159294c845d97bc33e9
[chrome #0-9] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/watchstar.js
[chrome #0-9] Running: chrome
[chrome #0-9]
[chrome #0-9] Manage Watchlist
[chrome #0-9]   โœ“ Add an article to the watchlist
[chrome #0-9]
[chrome #0-9]
[chrome #0-9] 1 passing (24s)
[chrome #0-9]



==================================================================
Number of specs: 10


6 passing (379.00s)
2 skipped
9 failing

1) Wikitext Editor "before each" hook for "Closing editor (overlay button)":
element (".overlay") still not visible after 10000ms
running chrome
Error: element (".overlay") still not visible after 10000ms
    at elements(".overlay") - isVisible.js:54:17
    at isVisible(".overlay") - waitForVisible.js:73:22

2) Wikitext Editor (Makes actual saves) Redirects:
element (".overlay") still not visible after 10000ms
running chrome
Error: element (".overlay") still not visible after 10000ms
    at elements(".overlay") - isVisible.js:54:17
    at isVisible(".overlay") - waitForVisible.js:73:22

3) Wikitext Editor (Makes actual saves) Broken redirects:
element (".overlay") still not visible after 10000ms
running chrome
Error: element (".overlay") still not visible after 10000ms
    at elements(".overlay") - isVisible.js:54:17
    at isVisible(".overlay") - waitForVisible.js:73:22

4) Menus open correct page for anonymous users Check links in menu:
Link to Settings is visible.
running chrome
AssertionError [ERR_ASSERTION]: Link to Settings is visible.
    at iShouldSeeALinkInMenu (/Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/features/step_definitions/menu_steps.js:21:9)
    at forEach (/Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/mainmenu_loggedin.js:26:4)
    at Array.forEach (<anonymous>)
    at Context.it (/Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/mainmenu_loggedin.js:25:18)
    at new Promise (<anonymous>)
    at new F (/Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/node_modules/babel-runtime/node_modules/core-js/library/modules/_export.js:36:28)

5) Opening and closing the reference drawer Opening a reference:
An element could not be located on the page using the given search parameters ("sup a").
running chrome
Error: An element could not be located on the page using the given search parameters ("sup a").
    at click() - index.js:312:3

6) Opening and closing the reference drawer Opening a nested reference:
An element could not be located on the page using the given search parameters ("sup a").
running chrome
Error: An element could not be located on the page using the given search parameters ("sup a").
    at click() - index.js:312:3

7) Search Clicking on a watchstar toggles the watchstar:
element (".overlay") still not visible after 10000ms
running chrome
Error: element (".overlay") still not visible after 10000ms
    at elements(".overlay") - isVisible.js:54:17
    at isVisible(".overlay") - waitForVisible.js:73:22

8) Talk Add discussion for talk page possible as logged in user:
element (".overlay .submit") still not existing after 10000ms
running chrome
Error: element (".overlay .submit") still not existing after 10000ms
    at elements(".overlay .submit") - isExisting.js:46:17
    at isExisting(".overlay .submit") - waitForExist.js:67:22

9) Talk A newly created topic appears in the list of topics:
element (".overlay") still not visible after 10000ms
running chrome
Error: element (".overlay") still not visible after 10000ms
    at elements(".overlay") - isVisible.js:54:17
    at isVisible(".overlay") - waitForVisible.js:73:22


npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! @ selenium-test: `wdio tests/selenium/wdio.conf.js`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the @ selenium-test script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/z/.npm/_logs/2020-04-30T16_18_17_143Z-debug.log

Event Timeline

Restricted Application added subscribers: Masumrezarock100, Aklapper. ยท View Herald TranscriptApr 30 2020, 4:51 PM
zeljkofilipin closed this task as Resolved.Jul 9 2020, 11:41 AM
zeljkofilipin claimed this task.
~/Documents/gerrit/mediawiki/core/skins/MinervaNeue$ npm run selenium-test

> @ selenium-test /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue
> wdio tests/selenium/wdio.conf.js


Execution of 10 spec files started at 2020-07-09T11:35:36.922Z

[0-0] RUNNING in chrome - /tests/selenium/specs/category.js
[0-0] PASSED in chrome - /tests/selenium/specs/category.js
[0-1] RUNNING in chrome - /tests/selenium/specs/diff.js
[0-1] PASSED in chrome - /tests/selenium/specs/diff.js
[0-2] RUNNING in chrome - /tests/selenium/specs/editor_wikitext_nosave.js
[0-2] PASSED in chrome - /tests/selenium/specs/editor_wikitext_nosave.js
[0-3] RUNNING in chrome - /tests/selenium/specs/editor_wikitext_saving.js
[0-3] [13:36:51] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-3] PASSED in chrome - /tests/selenium/specs/editor_wikitext_saving.js
[0-4] RUNNING in chrome - /tests/selenium/specs/mainmenu_loggedin.js
[0-4] Nearby item will only appear in main menu if $wgMFNearby is configured
[0-4] PASSED in chrome - /tests/selenium/specs/mainmenu_loggedin.js
[0-5] RUNNING in chrome - /tests/selenium/specs/references.js
[0-5] [13:37:31] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-5] PASSED in chrome - /tests/selenium/specs/references.js
[0-6] RUNNING in chrome - /tests/selenium/specs/search_loggedin.js
[0-6] [13:37:49] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-6] PASSED in chrome - /tests/selenium/specs/search_loggedin.js
[0-7] RUNNING in chrome - /tests/selenium/specs/talk.js
[0-7] [13:38:09] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-7] [13:38:11] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-7] [13:38:56] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-7] PASSED in chrome - /tests/selenium/specs/talk.js
[0-8] RUNNING in chrome - /tests/selenium/specs/user_page.js
[0-8] PASSED in chrome - /tests/selenium/specs/user_page.js
[0-9] RUNNING in chrome - /tests/selenium/specs/watchstar.js
[0-9] PASSED in chrome - /tests/selenium/specs/watchstar.js

 "spec" Reporter:
------------------------------------------------------------------
[chrome  mac os x #0-0] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/category.js
[chrome  mac os x #0-0] Running: chrome on mac os x
[chrome  mac os x #0-0] Session ID: 41a014cb438886744535d9284305aeed
[chrome  mac os x #0-0]
[chrome  mac os x #0-0] Categories
[chrome  mac os x #0-0]    - I can view categories
[chrome  mac os x #0-0]
[chrome  mac os x #0-0] 1 skipped (120ms)
------------------------------------------------------------------
[chrome  mac os x #0-1] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/diff.js
[chrome  mac os x #0-1] Running: chrome on mac os x
[chrome  mac os x #0-1] Session ID: 36f401c2762549df232bdd2e26557843
[chrome  mac os x #0-1]
[chrome  mac os x #0-1] Page diff
[chrome  mac os x #0-1]    - Added and removed content
[chrome  mac os x #0-1]
[chrome  mac os x #0-1] 1 skipped (113ms)
------------------------------------------------------------------
[chrome  mac os x #0-2] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/editor_wikitext_nosave.js
[chrome  mac os x #0-2] Running: chrome on mac os x
[chrome  mac os x #0-2] Session ID: 0966da1e08e2b0eb0b3dd5a3bfd1c2f7
[chrome  mac os x #0-2]
[chrome  mac os x #0-2] Wikitext Editor
[chrome  mac os x #0-2]    โœ“ Closing editor (overlay button)
[chrome  mac os x #0-2]    โœ“ Closing editor (browser button)
[chrome  mac os x #0-2]
[chrome  mac os x #0-2] 2 passing (55.2s)
------------------------------------------------------------------
[chrome  mac os x #0-3] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/editor_wikitext_saving.js
[chrome  mac os x #0-3] Running: chrome on mac os x
[chrome  mac os x #0-3] Session ID: 04f54544873650c2e108ac5127a07c29
[chrome  mac os x #0-3]
[chrome  mac os x #0-3] Wikitext Editor (Makes actual saves)
[chrome  mac os x #0-3]    โœ“ Redirects
[chrome  mac os x #0-3]    โœ“ Broken redirects
[chrome  mac os x #0-3]
[chrome  mac os x #0-3] 2 passing (34.7s)
------------------------------------------------------------------
[chrome  mac os x #0-4] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/mainmenu_loggedin.js
[chrome  mac os x #0-4] Running: chrome on mac os x
[chrome  mac os x #0-4] Session ID: cba9e6b136e58290521b68bf7902810a
[chrome  mac os x #0-4]
[chrome  mac os x #0-4] Menus open correct page for anonymous users
[chrome  mac os x #0-4]    โœ“ Check links in menu
[chrome  mac os x #0-4]
[chrome  mac os x #0-4] 1 passing (14.9s)
------------------------------------------------------------------
[chrome  mac os x #0-5] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/references.js
[chrome  mac os x #0-5] Running: chrome on mac os x
[chrome  mac os x #0-5] Session ID: 0ffa79ef8e88991be08d9ea410757c09
[chrome  mac os x #0-5]
[chrome  mac os x #0-5] Opening and closing the reference drawer
[chrome  mac os x #0-5]    โœ“ Opening a reference
[chrome  mac os x #0-5]    โœ“ Opening a nested reference
[chrome  mac os x #0-5]
[chrome  mac os x #0-5] 2 passing (13.5s)
------------------------------------------------------------------
[chrome  mac os x #0-6] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/search_loggedin.js
[chrome  mac os x #0-6] Running: chrome on mac os x
[chrome  mac os x #0-6] Session ID: 19ae62341f47a5c41fb1ae581827e189
[chrome  mac os x #0-6]
[chrome  mac os x #0-6] Search
[chrome  mac os x #0-6]    โœ“ Clicking on a watchstar toggles the watchstar
[chrome  mac os x #0-6]
[chrome  mac os x #0-6] 1 passing (21.6s)
------------------------------------------------------------------
[chrome  mac os x #0-7] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/talk.js
[chrome  mac os x #0-7] Running: chrome on mac os x
[chrome  mac os x #0-7] Session ID: a7f9ed071db27ff9ef2cb78be498a51a
[chrome  mac os x #0-7]
[chrome  mac os x #0-7] Talk
[chrome  mac os x #0-7]    โœ“ Talk button not visible as logged out user
[chrome  mac os x #0-7]    โœ“ Talk tab visible as logged in user
[chrome  mac os x #0-7]    โœ“ Talk on a page that doesn't exist (bug 64268)
[chrome  mac os x #0-7]    โœ“ Add discussion button shows on talk pages for logged in users
[chrome  mac os x #0-7]    โœ“ Add discussion for talk page possible as logged in user
[chrome  mac os x #0-7]    โœ“ A newly created topic appears in the list of topics
[chrome  mac os x #0-7]
[chrome  mac os x #0-7] 6 passing (58s)
------------------------------------------------------------------
[chrome  mac os x #0-8] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/user_page.js
[chrome  mac os x #0-8] Running: chrome on mac os x
[chrome  mac os x #0-8] Session ID: 9c41b0a872a0ff026e63ea28f846d9a7
[chrome  mac os x #0-8]
[chrome  mac os x #0-8] User:<username>
[chrome  mac os x #0-8]    โœ“ Check components in user page
[chrome  mac os x #0-8]
[chrome  mac os x #0-8] 1 passing (10.9s)
------------------------------------------------------------------
[chrome  mac os x #0-9] Spec: /Users/z/Documents/gerrit/mediawiki/core/skins/MinervaNeue/tests/selenium/specs/watchstar.js
[chrome  mac os x #0-9] Running: chrome on mac os x
[chrome  mac os x #0-9] Session ID: e4bd14eedd260395da32a9fff5088e59
[chrome  mac os x #0-9]
[chrome  mac os x #0-9] Manage Watchlist
[chrome  mac os x #0-9]    โœ“ Add an article to the watchlist
[chrome  mac os x #0-9]
[chrome  mac os x #0-9] 1 passing (16.7s)


Spec Files:      10 passed, 10 total (100% completed) in 00:03:58